Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Classes | Public Types | Public Member Functions | List of all members
LatBuilder::MeritSeq::CoordUniformCBC< LAT, COMPRESS, KERNEL, PROD >::Seq< GENSEQ > Class Template Reference

Output sequence from the coordinate-uniform CBC algorithm. More...

`#include <CoordUniformCBC.h>`

## Classes
class | const_iterator
| Constant iterator. More...

## Public Types
typedef GENSEQ | GenSeq
typedef CoordUniformInnerProd::template Seq< GenSeq > | ProdSeq
typedef LatBuilder::LatSeq::CBC< LAT, GenSeq > | LatSeq
typedef LatSeq::size_type | size_type

## Public Member Functions
| Seq (const CoordUniformCBC &parent, const GenSeq &genSeq)
| Constructor. More...
const CoordUniformCBC & | cbc () const
| Returns a reference to the parent CoordUniformCBC instance.
const LatSeq & | latSeq () const
| Returns a reference to the internal lattice sequence.
const ProdSeq & | prodSeq () const
| Returns a reference to the internal inner product sequence.
const_iterator | begin () const
| Returns an iterator pointing to the first element in the sequence.
const_iterator | end () const
| Returns an iterator pointing past the last element in the sequence.

## Detailed Description

### template<LatType LAT, Compress COMPRESS, class KERNEL, template< LatType, Compress > class PROD = CoordUniformInnerProd>
template<typename GENSEQ>
class LatBuilder::MeritSeq::CoordUniformCBC< LAT, COMPRESS, KERNEL, PROD >::Seq< GENSEQ >

Output sequence from the coordinate-uniform CBC algorithm.

It is based on a sequence of lattice definitions.

Template Parameters

  GENSEQ | Type of sequence of generator values.

## Constructor & Destructor Documentation

template<LatType LAT, Compress COMPRESS, class KERNEL, template< LatType, Compress > class PROD = CoordUniformInnerProd>
template<typename GENSEQ >

LatBuilder::MeritSeq::CoordUniformCBC< LAT, COMPRESS, KERNEL, PROD >::Seq< GENSEQ >::Seq | ( | const CoordUniformCBC & | parent,
|  | const GenSeq< GENSEQ > & | genSeq
| ) |  |
| inline

Constructor.

Parameters

  parent | Reference to the parent. Kept as a reference, no copy made.
  genSeq | Sequence of generator values.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/MeritSeq/CoordUniformCBC.h